Loading...
Searching...
No Matches
D3D12_BUFFER_UAV Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

UINT64 | FirstElement
UINT | NumElements
UINT | StructureByteStride
UINT64 | CounterOffsetInBytes
D3D12_BUFFER_UAV_FLAGS | Flags

## Detailed Description

Definition at line 2442 of file mini_d3d12.h.

## Member Data Documentation

## FirstElement

UINT64 D3D12_BUFFER_UAV::FirstElement

Definition at line 2443 of file mini_d3d12.h.

## NumElements

UINT D3D12_BUFFER_UAV::NumElements

Definition at line 2444 of file mini_d3d12.h.

## StructureByteStride

UINT D3D12_BUFFER_UAV::StructureByteStride

Definition at line 2445 of file mini_d3d12.h.

## CounterOffsetInBytes

UINT64 D3D12_BUFFER_UAV::CounterOffsetInBytes

Definition at line 2446 of file mini_d3d12.h.

## Flags

D3D12_BUFFER_UAV_FLAGS D3D12_BUFFER_UAV::Flags

Definition at line 2447 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h